Skip to main content
GET
/
v1
/
accounts
List accounts or get by ID
curl --request GET \
  --url https://api.vidjutsu.ai/v1/accounts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.vidjutsu.ai/v1/accounts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.vidjutsu.ai/v1/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "accountId": "<string>",
  "clientId": "<string>",
  "platform": "instagram",
  "name": "<string>",
  "createdAt": 123,
  "handle": "<string>",
  "bio": "<string>",
  "pfp": "<string>",
  "niche": "<string>",
  "linkInBio": "<string>",
  "tags": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string

Response

200 - application/json

The request has succeeded.

accountId
string
required
clientId
string
required
platform
enum<string>
required
Available options:
instagram
name
string
required
status
enum<string>
required
Available options:
draft,
active,
deleted
createdAt
integer<int64>
required
handle
string
bio
string
pfp
string
niche
string
tags
object[]